const validateFieldPhone = (rule, value, callback) => {
	// 严格匹配手机号正则
	const mobileReg = /^(?:(?:\+|00)86)?1(?:(?:3[\d])|(?:4[5-79])|(?:5[0-35-9])|(?:6[5-7])|(?:7[0-8])|(?:8[\d])|(?:9[189]))\d{8}$/
	if (!value) return callback(new Error('手机号不能为空'))
	// 执行正则验证
	if (!mobileReg.test(value)) {
		return callback(new Error('手机号码格式不正确'))
	}
	// 验证通过
	return callback()
}

const validateFieldIdCard = (rule, value, callback) => {
	const mobileReg = /^[1-9]\d{5}(19|20)\d{2}((0[1-9])|(1[0-2]))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/
	if (!value) return callback(new Error('身份证号不能为空'))
	if (!mobileReg.test(value)) {
		return callback(new Error('身份证号格式不正确'))
	}
	return callback()
}

export { validateFieldPhone, validateFieldIdCard }
